
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "build dns configuration more easily",
  "AUTHOR" => "Ricardo SIGNES <rjbs\@cpan.org>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "DNS-Oterica",
  "EXE_FILES" => [
    "bin/dnsoterica"
  ],
  "LICENSE" => "perl",
  "NAME" => "DNS::Oterica",
  "PREREQ_PM" => {
    "File::Find::Rule" => 0,
    "Getopt::Long::Descriptive" => 0,
    "Module::Pluggable" => 0,
    "Moose" => 0,
    "Moose::Role" => 0,
    "Moose::Util::TypeConstraints" => 0,
    "Net::IP" => 0,
    "Sub::Install" => 0,
    "YAML::XS" => 0,
    "lib" => 0,
    "namespace::autoclean" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "Carp" => 0,
    "IPC::System::Simple" => 0,
    "Test::More" => "0.96",
    "autodie" => 0
  },
  "VERSION" => "0.202",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "File::Find::Rule" => 0,
  "Getopt::Long::Descriptive" => 0,
  "IPC::System::Simple" => 0,
  "Module::Pluggable" => 0,
  "Moose" => 0,
  "Moose::Role" => 0,
  "Moose::Util::TypeConstraints" => 0,
  "Net::IP" => 0,
  "Sub::Install" => 0,
  "Test::More" => "0.96",
  "YAML::XS" => 0,
  "autodie" => 0,
  "lib" => 0,
  "namespace::autoclean" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



